Loading...
Searching...
No Matches
juce::LegacyAudioParametersWrapper Class Reference

The documentation for this class was generated from the following file:

- juce_audio_processors_headless/format_types/juce_LegacyAudioParameter.h

## Public Member Functions

| LegacyAudioParametersWrapper ()=default
| LegacyAudioParametersWrapper (AudioProcessor &audioProcessor, bool forceLegacyParamIDs)
void | update (AudioProcessor &audioProcessor, bool forceLegacyParamIDs)
void | clear ()
AudioProcessorParameter * | getParamForIndex (int index) const
String | getParamID (AudioProcessor &processor, int idx) const noexcept
const AudioProcessorParameterGroup & | getGroup () const
void | addNonOwning (AudioProcessorParameter *param)
size_t | size () const noexcept
bool | isUsingManagedParameters () const noexcept
int | getNumParameters () const noexcept
AudioProcessorParameter *const * | begin () const
AudioProcessorParameter *const * | end () const
bool | contains (AudioProcessorParameter *param) const

## Constructors and Destructors

## LegacyAudioParametersWrapper() [1/2]

juce::LegacyAudioParametersWrapper::LegacyAudioParametersWrapper | ( |  | ) |

default

## LegacyAudioParametersWrapper() [2/2]

juce::LegacyAudioParametersWrapper::LegacyAudioParametersWrapper | ( | AudioProcessor & | audioProcessor,
|  | bool | forceLegacyParamIDs )

inline

References update().

## Member Functions

## update()

void juce::LegacyAudioParametersWrapper::update | ( | AudioProcessor & | audioProcessor,
|  | bool | forceLegacyParamIDs )

inline

References clear(), juce::AudioProcessor::getParameters(), and juce::AudioProcessor::getParameterTree().

Referenced by LegacyAudioParametersWrapper().

## clear()

void juce::LegacyAudioParametersWrapper::clear | ( |  | ) |

inline

Referenced by update().

## getParamForIndex()

AudioProcessorParameter * juce::LegacyAudioParametersWrapper::getParamForIndex | ( | int | index | ) | const

inline

References juce::isPositiveAndBelow().

## getParamID()

String juce::LegacyAudioParametersWrapper::getParamID | ( | AudioProcessor & | processor,
|  | int | idx ) const

inline noexcept

## getGroup()

const AudioProcessorParameterGroup & juce::LegacyAudioParametersWrapper::getGroup | ( |  | ) | const

inline

## addNonOwning()

void juce::LegacyAudioParametersWrapper::addNonOwning | ( | AudioProcessorParameter * | param | ) |

inline

## size()

size_t juce::LegacyAudioParametersWrapper::size | ( |  | ) | const

inline noexcept

## isUsingManagedParameters()

bool juce::LegacyAudioParametersWrapper::isUsingManagedParameters | ( |  | ) | const

inline noexcept

## getNumParameters()

int juce::LegacyAudioParametersWrapper::getNumParameters | ( |  | ) | const

inline noexcept

## begin()

AudioProcessorParameter *const * juce::LegacyAudioParametersWrapper::begin | ( |  | ) | const

inline

## end()

AudioProcessorParameter *const * juce::LegacyAudioParametersWrapper::end | ( |  | ) | const

inline

## contains()

bool juce::LegacyAudioParametersWrapper::contains | ( | AudioProcessorParameter * | param | ) | const

inline

### Purchase

Get JUCE

### Discover

What's New in JUCE Features

### Learn

Documentaion Tutorials Made with JUCE Resources

### Support

JUCE Forum Newsletter Archive

### About

Contact Us JUCE Legal JUCE Licensing FAQ

### Events

Audio Developer Conference
© Raw Material Software Limited